Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1319)
+++ palm/trunk/SOURCE/Makefile	(revision 1320)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# +mod_kinds in dependency list
 #
 # Former revisions:
@@ -170,7 +170,7 @@
 	lpm_set_attributes.f90 lpm_sort_arrays.f90 \
 	lpm_write_exchange_statistics.f90 lpm_write_restart_file.f90 \
-   ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
-   netcdf.f90 nudging.f90 \
-   package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 poisfft.f90 \
+	ls_forcing.f90 message.f90 microphysics.f90 modules.f90 mod_kinds.f90 \
+	netcdf.f90 nudging.f90 \
+	package_parin.f90 palm.f90 parin.f90 plant_canopy_model.f90 poisfft.f90 \
 	poismg.f90 prandtl_fluxes.f90 pres.f90 print_1d.f90 \
 	production_e.f90 prognostic_equations.f90 random_function.f90 \
@@ -224,163 +224,167 @@
 
 
-advec_s_bc.o: modules.o cpulog.o
-advec_s_pw.o: modules.o
-advec_s_up.o: modules.o
-advec_u_pw.o: modules.o
-advec_u_up.o: modules.o
-advec_v_pw.o: modules.o
-advec_v_up.o: modules.o
-advec_ws.o: modules.o
-advec_w_pw.o: modules.o
-advec_w_up.o: modules.o
-average_3d_data.o: modules.o cpulog.o
-boundary_conds.o: modules.o
-buoyancy.o: modules.o
-calc_liquid_water_content.o: modules.o
-calc_precipitation.o: modules.o
-calc_radiation.o: modules.o
-calc_spectra.o: modules.o cpulog.o fft_xy.o
-check_for_restart.o: modules.o
-check_open.o: modules.o
-check_parameters.o: modules.o subsidence.o
-close_file.o: modules.o
-compute_vpt.o: modules.o
-coriolis.o: modules.o
-cpulog.o: modules.o
-cpu_statistics.o: modules.o
-cuda_fft_interfaces.o: cuda_fft_interfaces.f90 modules.o
-data_log.o: modules.o
-data_output_dvrp.o: modules.o cpulog.o
-data_output_mask.o: modules.o cpulog.o
-data_output_profiles.o: modules.o cpulog.o
-data_output_ptseries.o: modules.o cpulog.o
-data_output_spectra.o: modules.o cpulog.o
-data_output_tseries.o: modules.o cpulog.o
-data_output_2d.o: modules.o cpulog.o
-data_output_3d.o: modules.o cpulog.o
-diffusion_e.o: modules.o
-diffusion_s.o: modules.o
-diffusion_u.o: modules.o wall_fluxes.o
-diffusion_v.o: modules.o wall_fluxes.o
-diffusion_w.o: modules.o wall_fluxes.o
-diffusivities.o: modules.o
-disturb_field.o: modules.o cpulog.o random_function.o
-disturb_heatflux.o: modules.o
-eqn_state_seawater.o: modules.o
-exchange_horiz.o: modules.o cpulog.o
-exchange_horiz_2d.o: modules.o cpulog.o
-fft_xy.o: cuda_fft_interfaces.o modules.o singleton.o temperton_fft.o
-flow_statistics.o: modules.o cpulog.o
-global_min_max.o: modules.o
-header.o: modules.o cpulog.o subsidence.o
-impact_of_latent_heat.o: modules.o
-inflow_turbulence.o: modules.o cpulog.o
-init_1d_model.o: modules.o
-init_3d_model.o: modules.o cpulog.o random_function.o advec_ws.o ls_forcing.o
-init_advec.o: modules.o
-init_cloud_physics.o: modules.o
-init_coupling.o: modules.o
-init_dvrp.o: modules.o
-init_grid.o: modules.o
-init_masks.o: modules.o
-init_ocean.o: modules.o eqn_state_seawater.o
-init_pegrid.o: modules.o
-init_pt_anomaly.o: modules.o
-init_rankine.o: modules.o
-init_slope.o: modules.o
-interaction_droplets_ptq.o: modules.o
-local_getenv.o: modules.o
-local_stop.o: modules.o
-local_tremain.o: modules.o cpulog.o
-local_tremain_ini.o: modules.o cpulog.o
-lpm.o: modules.o cpulog.o
-lpm_advec.o: modules.o
-lpm_boundary_conds.o: modules.o cpulog.o
-lpm_calc_liquid_water_content.o: modules.o cpulog.o
-lpm_collision_kernels.o: modules.o cpulog.o user_module.o
-lpm_data_output_particles.o: modules.o cpulog.o
-lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o
-lpm_droplet_condensation.o: modules.o cpulog.o lpm_collision_kernels.o
-lpm_exchange_horiz.o: modules.o cpulog.o
-lpm_extend_particle_array.o: modules.o
-lpm_extend_tails.o: modules.o
-lpm_extend_tail_array.o: modules.o
-lpm_init.o: modules.o lpm_collision_kernels.o random_function.o
-lpm_init_sgs_tke.o: modules.o
-lpm_pack_arrays.o: modules.o
-lpm_read_restart_file.o: modules.o
-lpm_release_set.o: modules.o random_function.o
-lpm_set_attributes.o: modules.o cpulog.o
-lpm_sort_arrays.o: modules.o cpulog.o
-lpm_write_exchange_statistics.o: modules.o
-lpm_write_restart_file.o: modules.o
-ls_forcing.o: modules.o cpulog.o
-message.o: modules.o
-microphysics.o: modules.o
-modules.o: modules.f90
-netcdf.o: modules.o
-nudging.o: modules.o buoyancy.o cpulog.o
-package_parin.o: modules.o
-palm.o: modules.o cpulog.o ls_forcing.o nudging.o
-parin.o: modules.o cpulog.o
-plant_canopy_model.o: modules.o
-poisfft.o: modules.o cpulog.o fft_xy.o tridia_solver.o
-poismg.o: modules.o cpulog.o
-prandtl_fluxes.o: modules.o
-pres.o: modules.o cpulog.o poisfft.o
-print_1d.o: modules.o cpulog.o
-production_e.o: modules.o wall_fluxes.o
+advec_s_bc.o: modules.o cpulog.o mod_kinds.o
+advec_s_pw.o: modules.o mod_kinds.o
+advec_s_up.o: modules.o mod_kinds.o
+advec_u_pw.o: modules.o mod_kinds.o
+advec_u_up.o: modules.o mod_kinds.o
+advec_v_pw.o: modules.o mod_kinds.o
+advec_v_up.o: modules.o mod_kinds.o
+advec_ws.o: modules.o mod_kinds.o
+advec_w_pw.o: modules.o mod_kinds.o
+advec_w_up.o: modules.o mod_kinds.o
+average_3d_data.o: modules.o cpulog.o mod_kinds.o
+boundary_conds.o: modules.o mod_kinds.o
+buoyancy.o: modules.o mod_kinds.o
+calc_liquid_water_content.o: modules.o mod_kinds.o
+calc_precipitation.o: modules.o mod_kinds.o
+calc_radiation.o: modules.o mod_kinds.o
+calc_spectra.o: modules.o cpulog.o fft_xy.o mod_kinds.o
+check_for_restart.o: modules.o mod_kinds.o
+check_open.o: modules.o mod_kinds.o
+check_parameters.o: modules.o mod_kinds.o subsidence.o
+close_file.o: modules.o mod_kinds.o
+compute_vpt.o: modules.o mod_kinds.o
+coriolis.o: modules.o mod_kinds.o
+cpulog.o: modules.o mod_kinds.o
+cpu_statistics.o: modules.o mod_kinds.o
+cuda_fft_interfaces.o: cuda_fft_interfaces.f90 modules.o mod_kinds.o
+data_log.o: modules.o mod_kinds.o
+data_output_dvrp.o: modules.o cpulog.o mod_kinds.o
+data_output_mask.o: modules.o cpulog.o mod_kinds.o
+data_output_profiles.o: modules.o cpulog.o mod_kinds.o
+data_output_ptseries.o: modules.o cpulog.o mod_kinds.o
+data_output_spectra.o: modules.o cpulog.o mod_kinds.o
+data_output_tseries.o: modules.o cpulog.o mod_kinds.o
+data_output_2d.o: modules.o cpulog.o mod_kinds.o
+data_output_3d.o: modules.o cpulog.o mod_kinds.o
+diffusion_e.o: modules.o mod_kinds.o
+diffusion_s.o: modules.o mod_kinds.o
+diffusion_u.o: modules.o mod_kinds.o wall_fluxes.o
+diffusion_v.o: modules.o mod_kinds.o wall_fluxes.o
+diffusion_w.o: modules.o mod_kinds.o wall_fluxes.o
+diffusivities.o: modules.o mod_kinds.o
+disturb_field.o: modules.o cpulog.o mod_kinds.o random_function.o
+disturb_heatflux.o: modules.o mod_kinds.o
+eqn_state_seawater.o: modules.o mod_kinds.o
+exchange_horiz.o: modules.o cpulog.o mod_kinds.o
+exchange_horiz_2d.o: modules.o cpulog.o mod_kinds.o
+fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
+flow_statistics.o: modules.o cpulog.o mod_kinds.o
+global_min_max.o: modules.o mod_kinds.o
+header.o: modules.o cpulog.o mod_kinds.o subsidence.o
+impact_of_latent_heat.o: modules.o mod_kinds.o
+inflow_turbulence.o: modules.o cpulog.o mod_kinds.o
+init_1d_model.o: modules.o mod_kinds.o
+init_3d_model.o: modules.o cpulog.o mod_kinds.o random_function.o advec_ws.o ls_forcing.o
+init_advec.o: modules.o mod_kinds.o
+init_cloud_physics.o: modules.o mod_kinds.o
+init_coupling.o: modules.o mod_kinds.o
+init_dvrp.o: modules.o mod_kinds.o
+init_grid.o: modules.o mod_kinds.o
+init_masks.o: modules.o mod_kinds.o
+init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
+init_pegrid.o: modules.o mod_kinds.o
+init_pt_anomaly.o: modules.o mod_kinds.o
+init_rankine.o: modules.o mod_kinds.o
+init_slope.o: modules.o mod_kinds.o
+interaction_droplets_ptq.o: modules.o mod_kinds.o
+local_flush.o: mod_kinds.o
+local_getenv.o: modules.o mod_kinds.o
+local_stop.o: modules.o mod_kinds.o
+local_tremain.o: modules.o cpulog.o mod_kinds.o
+local_tremain_ini.o: modules.o cpulog.o mod_kinds.o
+lpm.o: modules.o cpulog.o mod_kinds.o
+lpm_advec.o: modules.o mod_kinds.o
+lpm_boundary_conds.o: modules.o cpulog.o mod_kinds.o
+lpm_calc_liquid_water_content.o: modules.o cpulog.o mod_kinds.o
+lpm_collision_kernels.o: modules.o cpulog.o user_module.o mod_kinds.o
+lpm_data_output_particles.o: modules.o cpulog.o mod_kinds.o
+lpm_droplet_collision.o: modules.o cpulog.o lpm_collision_kernels.o mod_kinds.o
+lpm_droplet_condensation.o: modules.o cpulog.o lpm_collision_kernels.o mod_kinds.o
+lpm_exchange_horiz.o: modules.o cpulog.o mod_kinds.o
+lpm_extend_particle_array.o: modules.o mod_kinds.o
+lpm_extend_tails.o: modules.o mod_kinds.o
+lpm_extend_tail_array.o: modules.o mod_kinds.o
+lpm_init.o: modules.o lpm_collision_kernels.o mod_kinds.o random_function.o
+lpm_init_sgs_tke.o: modules.o mod_kinds.o
+lpm_pack_arrays.o: modules.o mod_kinds.o
+lpm_read_restart_file.o: modules.o mod_kinds.o
+lpm_release_set.o: modules.o mod_kinds.o random_function.o
+lpm_set_attributes.o: modules.o cpulog.o mod_kinds.o
+lpm_sort_arrays.o: modules.o cpulog.o mod_kinds.o
+lpm_write_exchange_statistics.o: modules.o mod_kinds.o
+lpm_write_restart_file.o: modules.o mod_kinds.o
+ls_forcing.o: modules.o cpulog.o mod_kinds.o
+message.o: modules.o mod_kinds.o
+microphysics.o: modules.o mod_kinds.o
+modules.o: modules.f90 mod_kinds.o
+mod_kinds.o: mod_kinds.f90
+netcdf.o: modules.o mod_kinds.o
+nudging.o: modules.o buoyancy.o cpulog.o mod_kinds.o
+package_parin.o: modules.o mod_kinds.o
+palm.o: modules.o cpulog.o ls_forcing.o mod_kinds.o nudging.o
+parin.o: modules.o cpulog.o mod_kinds.o
+plant_canopy_model.o: modules.o mod_kinds.o
+poisfft.o: modules.o cpulog.o fft_xy.o mod_kinds.o tridia_solver.o
+poismg.o: modules.o cpulog.o mod_kinds.o
+prandtl_fluxes.o: modules.o mod_kinds.o
+pres.o: modules.o cpulog.o mod_kinds.o poisfft.o
+print_1d.o: modules.o cpulog.o mod_kinds.o
+production_e.o: modules.o mod_kinds.o wall_fluxes.o
 prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_u_pw.o \
 	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o  \
    advec_ws.o buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
 	cpulog.o diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
-	eqn_state_seawater.o impact_of_latent_heat.o microphysics.o \
+	eqn_state_seawater.o impact_of_latent_heat.o mod_kinds.o microphysics.o \
         nudging.o plant_canopy_model.o production_e.o subsidence.o user_actions.o
-random_gauss.o: random_function.o
-read_3d_binary.o: modules.o cpulog.o random_function.o
-read_var_list.o: modules.o
-run_control.o: modules.o cpulog.o
-set_slicer_attributes_dvrp.o: modules.o
-singleton.o: singleton.f90
-sor.o: modules.o
-subsidence.o: modules.o
-sum_up_3d_data.o: modules.o cpulog.o
-surface_coupler.o: modules.o cpulog.o
-swap_timelevel.o: modules.o cpulog.o
-temperton_fft.o: modules.o
+random_function.o: mod_kinds.o
+random_gauss.o: mod_kinds.o random_function.o
+read_3d_binary.o: modules.o cpulog.o mod_kinds.o random_function.o
+read_var_list.o: modules.o mod_kinds.o
+run_control.o: modules.o cpulog.o mod_kinds.o
+set_slicer_attributes_dvrp.o: modules.o mod_kinds.o
+singleton.o: mod_kinds.o singleton.f90
+sor.o: modules.o mod_kinds.o
+subsidence.o: modules.o mod_kinds.o
+sum_up_3d_data.o: modules.o cpulog.o mod_kinds.o
+surface_coupler.o: modules.o cpulog.o mod_kinds.o
+swap_timelevel.o: modules.o cpulog.o mod_kinds.o
+temperton_fft.o: modules.o mod_kinds.o
 time_integration.o: modules.o advec_ws.o buoyancy.o cpulog.o interaction_droplets_ptq.o \
-	ls_forcing.o production_e.o prognostic_equations.o user_actions.o
-timestep.o: modules.o cpulog.o
-timestep_scheme_steering.o: modules.o
-transpose.o: modules.o cpulog.o
-tridia_solver.o: modules.o
-user_3d_data_averaging.o: modules.o user_module.o
-user_actions.o: modules.o cpulog.o user_module.o
-user_additional_routines.o: modules.o user_module.o
-user_check_data_output.o: modules.o user_module.o
-user_check_data_output_pr.o: modules.o user_module.o
-user_check_parameters.o: modules.o user_module.o
-user_data_output_2d.o: modules.o user_module.o
-user_data_output_3d.o: modules.o user_module.o
-user_data_output_mask.o: modules.o user_module.o
-user_data_output_dvrp.o: modules.o user_module.o
-user_define_netcdf_grid.o: modules.o user_module.o
-user_dvrp_coltab.o: modules.o user_module.o
-user_header.o: modules.o user_module.o
-user_init.o: modules.o user_module.o
-user_init_3d_model.o: modules.o user_module.o
-user_init_grid.o: modules.o user_module.o
-user_init_plant_canopy.o: modules.o user_module.o
-user_last_actions.o: modules.o user_module.o
-user_lpm_advec.o: modules.o user_module.o
-user_lpm_init.o: modules.o user_module.o
-user_lpm_set_attributes.o: modules.o user_module.o
-user_module.o: user_module.f90
-user_parin.o: modules.o user_module.o
-user_read_restart_data.o: modules.o user_module.o
-user_spectra.o: modules.o user_module.o
-user_statistics.o: modules.o user_module.o
-wall_fluxes.o: modules.o
-write_3d_binary.o: modules.o cpulog.o random_function.o
-write_compressed.o: modules.o
-write_var_list.o: modules.o
+	ls_forcing.o mod_kinds.o production_e.o prognostic_equations.o user_actions.o
+time_to_string.o: mod_kinds.o
+timestep.o: modules.o cpulog.o mod_kinds.o
+timestep_scheme_steering.o: modules.o mod_kinds.o
+transpose.o: modules.o cpulog.o mod_kinds.o
+tridia_solver.o: modules.o mod_kinds.o
+user_3d_data_averaging.o: modules.o mod_kinds.o user_module.o
+user_actions.o: modules.o cpulog.o mod_kinds.o user_module.o
+user_additional_routines.o: modules.o mod_kinds.o user_module.o
+user_check_data_output.o: modules.o mod_kinds.o user_module.o
+user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o
+user_check_parameters.o: modules.o mod_kinds.o user_module.o
+user_data_output_2d.o: modules.o mod_kinds.o user_module.o
+user_data_output_3d.o: modules.o mod_kinds.o user_module.o
+user_data_output_mask.o: modules.o mod_kinds.o user_module.o
+user_data_output_dvrp.o: modules.o mod_kinds.o user_module.o
+user_define_netcdf_grid.o: modules.o mod_kinds.o user_module.o
+user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
+user_header.o: modules.o mod_kinds.o user_module.o
+user_init.o: modules.o mod_kinds.o user_module.o
+user_init_3d_model.o: modules.o mod_kinds.o user_module.o
+user_init_grid.o: modules.o mod_kinds.o user_module.o
+user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o
+user_last_actions.o: modules.o mod_kinds.o user_module.o
+user_lpm_advec.o: modules.o mod_kinds.o user_module.o
+user_lpm_init.o: modules.o mod_kinds.o user_module.o
+user_lpm_set_attributes.o: modules.o mod_kinds.o user_module.o
+user_module.o: mod_kinds.o user_module.f90
+user_parin.o: modules.o mod_kinds.o user_module.o
+user_read_restart_data.o: modules.o mod_kinds.o user_module.o
+user_spectra.o: modules.o mod_kinds.o user_module.o
+user_statistics.o: modules.o mod_kinds.o user_module.o
+wall_fluxes.o: modules.o mod_kinds.o
+write_3d_binary.o: modules.o cpulog.o mod_kinds.o random_function.o
+write_compressed.o: modules.o mod_kinds.o
+write_var_list.o: modules.o mod_kinds.o
